CVE-2006-1826
CVSS4.3
发布时间 :2006-04-18 06:02:00
修订时间 :2008-09-05 00:00:00
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in Snipe Gallery 3.1.4 and earlier allow remote attackers to inject arbitrary web script or HTML via the (1) gallery_id parameter in view.php, (2) keyword parameter in search.php, and (3) image_id parameter in image.php. NOTE: it is possible that vectors 1 and 3 are resultant from SQL injection.


[CNNVD]Snipe Gallery 多个跨站脚本攻击漏洞 (CNNVD-200604-287)

        Snipe Gallery 3.1.4及早期版本中存在多个跨站脚本攻击漏洞。这使得远程攻击者可以借助于(1)view.php中的gallery_id参数,(2)search.php中的keyword参数,以及(3)image.php中的image_id参数注入任意Web脚本或HTML。注意:向量1和3也可能是由于SQL注入造成的。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1826
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1826
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-287
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/25803
(UNKNOWN)  XF  snipe-view-image-xss(25803)
http://www.securityfocus.com/bid/17543
(UNKNOWN)  BID  17543
http://www.securityfocus.com/archive/1/archive/1/431123/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060416 Re: Snipe Gallery <= 3.1.4 Multiple XSS
http://www.securityfocus.com/archive/1/archive/1/431074/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060415 Snipe Gallery <= 3.1.4 Multiple XSS
http://securitytracker.com/id?1015947
(UNKNOWN)  SECTRACK  1015947

- 漏洞信息

Snipe Gallery 多个跨站脚本攻击漏洞
中危 跨站脚本
2006-04-18 00:00:00 2006-04-19 00:00:00
远程  
        Snipe Gallery 3.1.4及早期版本中存在多个跨站脚本攻击漏洞。这使得远程攻击者可以借助于(1)view.php中的gallery_id参数,(2)search.php中的keyword参数,以及(3)image.php中的image_id参数注入任意Web脚本或HTML。注意:向量1和3也可能是由于SQL注入造成的。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.snipegallery.com/
        

- 漏洞信息

24953
Snipe Gallery view.php gallery_id Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Snipe Gallery contains a flaw that allows a remote cross site scripting (XSS) attack. This flaw exists because the application does not validate the 'gallery_id' parameter upon submission to the 'view.php' script. This may allow a user to create a specially crafted URL that would execute arbitrary script code in a user's browser within the trust relationship between their browser and the server.

- 时间线

2006-04-16 Unknow
2006-04-16 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站